View Issue Details

IDProjectCategoryView StatusLast Update
0001253Main CAcert Websitewebsite contentpublic2018-11-05 10:36
ReporterINOPIAEAssigned Todastrath 
PrioritynormalSeverityminorReproducibilityhave not tried
Status needs reviewResolutionopen 
Product Version2014 Q1 
Target Version2015 Q2Fixed in Version 
Summary0001253: Remove deprecated <font> formatting
DescriptionThe font tag is deprecated. Use span or div instead and possibly create a proper CSS class for it (or reuse an existing one).
TagsNo tags attached.
Reviewed byTed
Test InstructionsCause error messages and see if the HTML is using CSS classes instead of style attributes

Relationships

related to 0000649 needs review & testingEva verify that someone is an Assurer 

Activities

MartinGummi

2014-03-04 21:24

updater   ~0004615

FIX https://github.com/magujs/cacert-devel/tree/bug-1253

INOPIAE

2015-01-27 21:03

updater   ~0005280

I tried to long in with a wrong passphrase.
In the html code there was no font tag around the error message.
0> OK

Eva

2015-01-27 21:16

updater   ~0005281

It would be nice to know where there can be errors to be able to test them.

Eva

2015-02-03 21:26

updater   ~0005306

Benny collected the following error messages (copy from pad):
- account_stuff: Allgemeine Account-Fehler-Meldungen
- general_stuff: Allgemeine Fehler-Meldungen
- includes/shutdown.php
- (tverify-Fehler)
- account/14: Pass Phrase der *
- (account/40: Mailinglist Note)
- index/0: disabled functions ...
- index/1: Pass Phrase der *
- (index/11: Mailinglist Note)
- index/6: Pass Phrase der *
- wot/1: CATS/Assurer
- wot/5: Allgemeine Fehlerausgabe
- wot/8: Allgemeine Fehlerausgabe
- wot/9: Allgemeine Fehlerausgabe
- www/gpg: GPG-Key-Fehler
- www/wot: Allgemeine Warnungsausgabe

Eva

2015-02-24 22:06

updater   ~0005331

Last edited: 2015-03-03 22:07

View 4 revisions

Could test without issues:
account/14 -> ok
index/1 - multiple situations -> ok
index/6 - multiple situations -> ok
wot/5: Allgemeine Fehlerausgabe - multiple situations -> ok
www/wot: Allgemeine Warnungsausgabe -> ok [however the error as such is wrong]
gpg: GPG-Key-Fehler -> ok

not testable without access to testserver:
includes/shutdown.php
index/0: disabled functions ...

not testable at all, as it was removed:
(tverify-Fehler)
(account/40: Mailinglist Note)
(index/11: Mailinglist Note)

account_stuff: Allgemeine Account-Fehler-Meldungen
- unsure what this should be, some account errors produced at index/1 -> ok?

general_stuff: Allgemeine Fehler-Meldungen
- unsure what this should be
file not founds -> ok


Could not produce the errors on the following pages - according to Felix they are deleted before they are shown
wot/8: Allgemeine Fehlerausgabe
wot/9: Allgemeine Fehlerausgabe

Even as there should be a situation where the following page displayed an "error" in the tables for user who have no CATs but 100 points, those users were just not shown, so could not test this error:
wot/1: CATS/Assurer
edit: could see this later -> ok


General note:
It would be good if errors were displayed always in the same manner.

=> those that I could produce were OK - could not do complete test

BenBE

2015-03-03 21:26

updater   ~0005351

added:
- includes/account.php
- includes/keygen.php
- pages/advertising/1.php

INOPIAE

2015-03-03 21:27

updater   ~0005352

Last edited: 2015-03-03 21:37

View 3 revisions

tested:
all wot/pages all displayed error showed an error class => ok
index/1 and 6 all displayed error showed an error class => ok

account/14 all displayed error showed an error class => ok

advertising/1 displayed error showed an error class => ok
 => ok

Eva

2015-03-03 21:54

updater   ~0005353

Last edited: 2015-03-03 22:03

View 2 revisions

- includes/account.php is
account/14 -> is improved compared to last test
-> ok

- includes/keygen.php
-> needs IE without activeX - I do not have access to this browser at the moment, so no test from me for this
-> not tested

- pages/advertising/1.php is
advertising.php?id=1 - I do not see anything there
-> ok
(Hint: you need to have Add Admin rights = 1 - relog after you set this flag)


=> OK, as far as I could test it (did not retest other things)

BenBE

2015-03-03 22:12

updater   ~0005354

As the bugtracker currently doesn't show the patches you can find them alternatively https://github.com/CAcertOrg/cacert-devel/compare/release...bug-1253

Ted

2018-10-20 21:56

administrator   ~0005611

Last edited: 2018-10-20 21:56

View 2 revisions

I removed a trailing semicolon in one style attribute.
The specification at https://www.w3.org/TR/css-style-attr/#Syntax%20and%20Parsing does not allow trailing semicolons in style attributes, though AFAIK it is tolerated by most browsers.

Since this is in fact a fallback to the previous version (and an extremly minor change) I don't think that this has to go through testing once more.

All other changes are acceptable. One might argue the class names, since "error_indicator" is used to indicate (IMHO) warnings in some places, but insisting on a change here would be nitpicking. I'll leave this to a followup bug report if someone also feels this way.

The review is PASSED.

Ted

2018-10-20 22:18

administrator   ~0005612

Hmm, this issue has already been reviewed by BenBE in 2015, and AFAIK he was a Sofrware Assessor then. So this issue might be considered as reviewed by two SAs, but there have been code changes (beyond my little one) after BenBEs first review...

Ted

2018-11-05 10:36

administrator   ~0005654

Dirk, can you just give a second review? It's a quite easy job, and could help to warm up for the other jobs to follow...

Issue History

Date Modified Username Field Change
2014-03-02 11:22 INOPIAE New Issue
2014-03-02 11:22 INOPIAE Assigned To => MartinGummi
2014-03-02 11:22 INOPIAE Relationship added related to 0000649
2014-03-04 21:24 MartinGummi Note Added: 0004615
2014-03-04 22:03 MartinGummi Status new => fix available
2014-03-04 22:16 NEOatNHNG Summary Remove depricated <font> formatting => Remove deprecated <font> formatting
2015-01-21 23:08 BenBE Reviewed by => BenBE
2015-01-21 23:08 BenBE Test Instructions => Cause error messages and see if the HTML is using CSS classes instead of style attributes
2015-01-21 23:08 BenBE Assigned To MartinGummi => Ted
2015-01-21 23:08 BenBE Status fix available => needs review & testing
2015-01-21 23:08 BenBE Target Version 2014 Q1 => 2015 Q2
2015-01-27 21:03 INOPIAE Note Added: 0005280
2015-01-27 21:16 Eva Note Added: 0005281
2015-02-03 21:26 Eva Note Added: 0005306
2015-02-24 22:06 Eva Note Added: 0005331
2015-02-24 22:12 Eva Note Edited: 0005331 View Revisions
2015-02-24 22:14 Eva Note Edited: 0005331 View Revisions
2015-03-03 21:26 BenBE Note Added: 0005351
2015-03-03 21:27 INOPIAE Note Added: 0005352
2015-03-03 21:32 INOPIAE Note Edited: 0005352 View Revisions
2015-03-03 21:37 INOPIAE Note Edited: 0005352 View Revisions
2015-03-03 21:54 Eva Note Added: 0005353
2015-03-03 22:03 Eva Note Edited: 0005353 View Revisions
2015-03-03 22:07 Eva Note Edited: 0005331 View Revisions
2015-03-03 22:12 BenBE Note Added: 0005354
2015-03-31 19:16 BenBE Status needs review & testing => needs review
2018-10-20 21:56 Ted Note Added: 0005611
2018-10-20 21:56 Ted Status needs review => ready to deploy
2018-10-20 21:56 Ted Reviewed by BenBE => Ted
2018-10-20 21:56 Ted Note Edited: 0005611 View Revisions
2018-10-20 22:18 Ted Status ready to deploy => needs review
2018-10-20 22:18 Ted Note Added: 0005612
2018-11-05 10:35 Ted Assigned To Ted => dastrath
2018-11-05 10:36 Ted Note Added: 0005654